## org.apache.catalina.startup
Class CatalinaProperties

    java.lang.Object
      org.apache.catalina.startup.CatalinaProperties

public class CatalinaProperties
extends java.lang.Object

Utility class to read the bootstrap Catalina configuration.

Version:
  $Revision: 1.6 $ $Date: 2004/05/18 16:33:24 $
Author:
  Remy Maucherat

Constructor Summary
`CatalinaProperties()`

Method Summary
`static java.lang.String` `getProperty(java.lang.String name)` Return specified property value.
`static java.lang.String` `getProperty(java.lang.String name, java.lang.String defaultValue)` Return specified property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaProperties

    public CatalinaProperties()

Method Detail

### getProperty

    public static java.lang.String getProperty(java.lang.String name)

  Return specified property value.

### getProperty

    public static java.lang.String getProperty(java.lang.String name,
                                               java.lang.String defaultValue)

  Return specified property value.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.